- [HTTP request](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.anonrssandswapmemoryusage/query#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.anonrssandswapmemoryusage/query#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.anonrssandswapmemoryusage/query#body.request_body)
  - [JSON representation](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.anonrssandswapmemoryusage/query#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.anonrssandswapmemoryusage/query#body.response_body)
  - [JSON representation](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.anonrssandswapmemoryusage/query#body.QueryAnonRssAndSwapMemoryUsageMetricSetResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.anonrssandswapmemoryusage/query#body.aspect)

Queries the metrics in the metric set.

### HTTP request

`POST https://playdeveloperreporting.googleapis.com/v1alpha1/{name=apps/*/anonRssAndSwapMemoryUsageMetricSet}:query`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. \* The resource name. Format: apps/{app}/anonRssAndSwapMemoryUsageMetricSet |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "timelineSpec": { object (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#TimelineSpec`) }, "dimensions": [ string ], "metrics": [ string ], "filter": string, "pageSize": integer, "pageToken": string, "userCohort": enum (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/UserCohort`) } ``` |

| Fields ||
|---|---|
| `timelineSpec` | ``object (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#TimelineSpec`)`` Optional. \* Specification of the timeline aggregation parameters. **Supported aggregation periods:** \* `https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/AggregationPeriod#ENUM_VALUES.DAILY`: metrics are aggregated in calendar date intervals. Due to historical constraints, the default and only supported timezone is `America/Los_Angeles`. |
| `dimensions[]` | `string` Optional. \* Dimensions to slice the data by. **Supported dimensions:** - `apiLevel` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): the API level of Android that was running on the user's device, e.g., 26. - `versionCode` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.int64_value`): version of the app that was running on the user's device. - `deviceModel` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): unique identifier of the user's device model. The form of the identifier is 'deviceBrand/device', where deviceBrand corresponds to Build.BRAND and device corresponds to Build.DEVICE, e.g., google/coral. - `deviceBrand` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): unique identifier of the user's device brand, e.g., google. - `deviceType` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): the type (also known as form factor) of the user's device, e.g., PHONE. - `countryCode` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): the country or region of the user's device based on their IP address, represented as a 2-letter ISO-3166 code (e.g. US for the United States). - `deviceRamBucket` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.int64_value`): RAM of the device, in MB, in buckets (3GB, 4GB, etc.). - `deviceSocMake` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Make of the device's primary system-on-chip, e.g., Samsung. - `deviceSocModel` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Model of the device's primary system-on-chip, e.g., "Exynos 2100". - `deviceCpuMake` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Make of the device's CPU, e.g., Qualcomm. - `deviceCpuModel` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Model of the device's CPU, e.g., "Kryo 240". - `deviceGpuMake` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Make of the device's GPU, e.g., ARM. - `deviceGpuModel` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Model of the device's GPU, e.g., Mali. - `deviceGpuVersion` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Version of the device's GPU, e.g., T750. - `deviceVulkanVersion` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Vulkan version of the device, e.g., "4198400". - `deviceGlEsVersion` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): OpenGL ES version of the device, e.g., "196610". - `deviceScreenSize` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Screen size of the device, e.g., NORMAL, LARGE. - `deviceScreenDpi` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Screen density of the device, e.g., mdpi, hdpi. - `processName` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): the name of the process that was running, e.g., com.example.app. - `appState` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): the state of the app when memory was collected, e.g., FOREGROUND. |
| `metrics[]` | `string` Optional. \* Metrics to aggregate. **Supported metrics:** - `anonRssAndSwapMemoryUsageP50` (`google.type.Decimal`): 50th percentile of anon RSS and swap memory usage. - `anonRssAndSwapMemoryUsageP75` (`google.type.Decimal`): 75th percentile of anon RSS and swap memory usage. - `anonRssAndSwapMemoryUsageP90` (`google.type.Decimal`): 90th percentile of anon RSS and swap memory usage. - `anonRssAndSwapMemoryUsageP95` (`google.type.Decimal`): 95th percentile of anon RSS and swap memory usage. - `anonRssAndSwapMemoryUsageP99` (`google.type.Decimal`): 99th percentile of anon RSS and swap memory usage. - `distinctUsers` (`google.type.Decimal`): Count of distinct users for which memory metrics were reported during the aggregation period. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times. The value is rounded to the nearest multiple of 10, 100, 1,000 or 1,000,000, depending on the magnitude of the value. |
| `filter` | `string` Optional. \* Filters to apply to data. The filtering expression follows [AIP-160](https://google.aip.dev/160) standard and supports filtering by equality of all breakdown dimensions. |
| `pageSize` | `integer` Optional. \* Maximum size of the returned data. If unspecified, at most 1000 rows will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000. |
| `pageToken` | `string` Optional. \* A page token, received from a previous call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to the request must match the call that provided the page token. |
| `userCohort` | ``enum (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/UserCohort`)`` Optional. \* User view to select. The output data will correspond to the selected view. The only supported value is `OS_PUBLIC`. |

### Response body

Response message for `https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.anonrssandswapmemoryusage/query#google.play.developer.reporting.v1alpha1.VitalsService.QueryAnonRssAndSwapMemoryUsageMetricSet`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rows": [ { object (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/MetricsRow`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `rows[]` | ``object (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/MetricsRow`)`` \* Returned rows of data. |
| `nextPageToken` | `string` \* Continuation token to fetch the next page of data. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/playdeveloperreporting`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).